function [signal,x,y,z,cas] = upravSignal(nazevSignalu,logGraf)
%    upravSignal - funkce pro úpravu vybraného měřeného signálu pro další
%                  zpracování
%   nazevSignalu - název, pod kterým je signál uložen v datasetu
%        logGraf - 0 nebo 1, podle toho, zda chceme vykreslit zrychlení do grafu
%         signal - proměnná obsahující souhrnná data jednoho měřeného průběhu
%              x - záznam zrychlení v ose X
%              y - záznam zrychlení v ose Y
%              z - záznam zrychlení v ose Z
%            cas - posloupnost časových značek


%% ÚPRAVA SIGNÁLU:
% Akcelerometr:
%   měřící rozsah -> +/-2g
%   počet bitů -> 16
%   vzorkovací frekvence -> cca 70 Hz (71.07 Hz)
%   jednotka časové značky -> 1/16 ms

g = 9.81;       % hodnota zrychlení
bits = 2^16;    % počet bitů
signal = nazevSignalu;
cas = signal.KumSum*(1/16)/1000; % přepočet časové základny na čas v sekundách
x = (signal.X./bits)*4*g;  % převod rozsahu, resp. přepočet na jednotky m.s^-2
y = (signal.Y./bits)*4*g;  % převod rozsahu, resp. přepočet na jednotky m.s^-2
z = (signal.Z./bits)*4*g;  % převod rozsahu, resp. přepočet na jednotky m.s^-2
cas = cas';
x = x';
y = y';
z = z';

%% GRAFY:
if logGraf == 1
figure
mezX = cas(end) + 1;                % mez pro osu X
mezYPlus = max([max(x),max(y),max(z)]) + 3;
mezYMinus = min([min(x),min(y),min(z)]) - 3;
mezY = ceil(max([mezYPlus,abs(mezYMinus)]));    % mez pro osu Y

% Zrychlení v ose X:
subplot 311
plot(cas,x)
title('Zrychlení v ose X')
xlabel('Čas [s]')
ylabel('Zrychlení [m.s^{-2}]')
xlim([0,mezX])
ylim([-mezY,mezY])

% Zrychlení v ose Y:
subplot 312
plot(cas,y)
title('Zrychlení v ose Y')
xlabel('Čas [s]')
ylabel('Zrychlení [m.s^{-2}]')
xlim([0,mezX])
ylim([-mezY,mezY])

% Zrychlení v ose Z:
subplot 313
plot(cas,z)
title('Zrychlení v ose Z')
xlabel('Čas [s]')
ylabel('Zrychlení [m.s^{-2}]')
xlim([0,mezX])
ylim([-mezY,mezY])
end

end